Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 389)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 390)
@@ -1239,10 +1239,10 @@
                     dgv.Rows[m_BeforeGridRow].Cells[i].Style.ForeColor = s_RowForeSelectColor;
                 }
                 // 増減データは色を付ける
-                if (CommonMotions.cnvInt(dgv.Rows[m_BeforeGridRow].Cells[(int)GridColumn.FluctuationFlg].Value) != 0)
-                {
-                    dgv.Rows[m_BeforeGridRow].Cells[(int)GridColumn.No].Style.BackColor = Color.Red;
-                }
+                //if (CommonMotions.cnvInt(dgv.Rows[m_BeforeGridRow].Cells[(int)GridColumn.FluctuationFlg].Value) != 0)
+                //{
+                //    dgv.Rows[m_BeforeGridRow].Cells[(int)GridColumn.No].Style.BackColor = Color.Red;
+                //}
             }
             catch (System.Exception ex)
             {
@@ -1410,7 +1410,11 @@
                             SetBackColor = Color.White;
                             // 増減工事フラグがONの場合は色を変える
                             if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.FluctuationFlg].Value) != 0)
-                                SetBackColor = Color.Red;
+                            {
+                                //SetBackColor = Color.Red;
+                                int nIndex = m_SourceCodeList.IndexOf(CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.SourceCode].Value));
+                                SetBackColor = CommonDefine.DefineColorList[nIndex];
+                            }
                             break;
                         default:
                             SetBackColor = Color.White;
@@ -1494,7 +1498,7 @@
                 // 請求金額計算
                 CalculateBillingAmount();
                 // 純利益計算
-                CalculateNetIncome();
+                //CalculateNetIncome();
                 // 合計計算
                 CreateAllTotal(false);
                 /// 現在利益計算
@@ -1587,7 +1591,6 @@
         /// <summary>
         /// 工事予算書明細データより明細のデータを取り込む
         /// </summary>
-        /// <param name="DetailList"></param>
         private void GetDataFromBudgetDetail(ref List<ConstructionBudgetDetail> DetailList)
         {
             IOConstructionBudgetDetail DetailDB = new IOConstructionBudgetDetail();
@@ -1935,6 +1938,7 @@
 
                 int nSetRow = m_CostsRowCount[(int)CostsRowLine.ExpensesRowLine] - 1;
                 dgvAllDisplay.Rows[nSetRow].Cells[(int)GridColumn.EstimatePrice].Value = nRetVal.ToString("#,#");
+                dgvAllDisplay.Rows[nSetRow].Cells[(int)GridColumn.EstimatePrice].ToolTipText = "一　般　管　理　費";
             }
             catch (Exception ex)
             {
@@ -1993,6 +1997,7 @@
                 // 現場管理費を人件費タイトルへセットする
                 int nSetRow = m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] - 1;
                 dgvAllDisplay.Rows[nSetRow].Cells[(int)GridColumn.EstimatePrice].Value = nRetVal.ToString("#,#");
+                dgvAllDisplay.Rows[nSetRow].Cells[(int)GridColumn.EstimatePrice].ToolTipText = "現　場　管　理　費";
             }
             catch (Exception ex)
             {
@@ -2517,9 +2522,9 @@
         }
         #endregion
 
-        #region 純利益計算
+        #region 純利益計算（未使用）
         /// <summary>
-        /// 純利益計算
+        /// 純利益計算（未使用）
         /// </summary>
         /// <returns></returns>
         private void CalculateNetIncome()
@@ -2602,9 +2607,9 @@
         }
         #endregion
 
-        #region 純利益作成
+        #region 純利益作成（新規作成時）
         /// <summary>
-        /// 純利益作成
+        /// 純利益作成（新規作成時）
         /// </summary>
         /// <returns></returns>
         private void CreateNetIncome()
@@ -2660,6 +2665,179 @@
         }
         #endregion
 
+        #region 表示明細行より対象行数を返す
+        /// <summary>
+        /// 表示明細行より対象行数を返す
+        /// </summary>
+        private int RowCountPoint(int nCode, ArrayList DetailList)
+        {
+            try
+            {
+                int nPo = 0;
+                int i = 0;
+                foreach(object[] CurObj in DetailList)
+                {
+                    // 同じコードの行数を取得する
+                    int nCurCode = CommonMotions.cnvInt(CurObj[(int)IOConstructionLedgerDetail.TableColumn.SourceCode]);
+                    if (nCurCode == nCode)
+                    {
+                        nPo = i;
+                        break;
+                    }
+                    i++;
+                }
+
+                return nPo;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region 指定コードの発注金額（注文書が無ければ実行金額）を返す
+        /// <summary>
+        /// 指定コードの発注金額（注文書が無ければ実行金額）を返す
+        /// </summary>
+        private long GetPurchaseValue(int nCode)
+        {
+            IOConstructionLedgerDetail cldDB = new IOConstructionLedgerDetail();
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("Select");
+
+                strSQL.Append(" SUM(CASE WHEN ifnull(Odr.OrdersLinePrice, 0) > 0 THEN ifnull(Odr.OrdersLinePrice, 0)");
+                strSQL.Append(" ELSE A.ExecutionAmount END) As OrderPrice");
+
+                strSQL.Append(" From constructionledgerdetail As A");
+
+                strSQL.Append("      LEFT JOIN(Select OdrA.ConstructionCode, OdrA.SourceDetailCnt, SUM(OdrA.OrdersLinePrice) As OrdersLinePrice");
+                strSQL.Append("                From PurchaseOrderDetail As OdrA");
+                strSQL.AppendFormat("          Where OdrA.ConstructionCode = {0}", nCode);
+                strSQL.AppendFormat("          And OdrA.SourceCode = {0}", m_ConstructionCode);
+                strSQL.AppendFormat("          And OdrA.GroupCount in ({0}, {1})", (int)PurchaseOrderDetail.GroupCountDef.Detail
+                                                                                    , (int)PurchaseOrderDetail.GroupCountDef.StatutoryWelfare);
+                strSQL.AppendFormat("          Group By OdrA.SourceDetailCnt) As Odr");
+                strSQL.AppendFormat("    ON Odr.ConstructionCode = A.SourceCode");
+                strSQL.AppendFormat("    And Odr.SourceDetailCnt = A.DetailCount");
+            
+                //strSQL.Append(" LEFT JOIN PurchaseOrderDetail As Odr");
+                //strSQL.Append("       ON Odr.ConstructionCode = A.SourceCode");
+                //strSQL.Append("       And Odr.SourceCode = A.ConstructionCode");
+                //strSQL.Append("       And Odr.SourceDetailCnt = A.DetailCount");
+
+                strSQL.AppendFormat(" Where A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL.AppendFormat(" And A.SourceCode = {0}", nCode);
+                strSQL.AppendFormat(" And ({0} < A.GroupCount", (int)DataGroup.Expenses);
+                strSQL.AppendFormat(" And A.GroupCount < {0})", (int)DataGroup.Instructor);
+
+                ArrayList arrayList = new ArrayList();
+                if (!cldDB.ExecuteReader(strSQL.ToString(), ref arrayList)) return 0;
+                if (arrayList.Count < 1) return 0;
+
+                object[] objRec = (object[])arrayList[0];
+
+                return CommonMotions.cnvLong(objRec[0]);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+            finally
+            {
+                cldDB.close(); cldDB = null;
+            }
+        }
+        #endregion
+
+        #region 純利益作成（データ存在時）
+        /// <summary>
+        /// 純利益作成（データ存在時）
+        /// </summary>
+        /// <returns></returns>
+        private void CreateNetIncome2(ArrayList DetailList)
+        {
+            try
+            {
+                DataGridViewEX dgv = dgvAllDisplay;
+
+                int DetailCnt = Enum.GetNames(typeof(IOConstructionLedgerDetail.TableColumn)).Length;
+                int SaveLineCnt = -1;
+                int nRowCnt = 0;
+                long[] DispVal = new long[3];
+                List<long> OrderVal = new List<long>();
+                List<long> EstVal = new List<long>();
+                List<long> ExecVal = new List<long>();
+                List<long> PurVal = new List<long>();
+                foreach (int CurCode in m_SourceCodeList)
+                {
+                    int nCnt = RowCountPoint(CurCode, DetailList);
+                    object[] DetialObj = (object[])DetailList[nCnt];
+                    // 受注金額
+                    OrderVal.Add(CommonMotions.cnvLong(DetialObj[DetailCnt + (int)DetailReadOrder.OrdersPrice]));
+                    // 予算金額
+                    long wrkEstVal = CommonMotions.cnvLong(DetialObj[DetailCnt + (int)DetailReadOrder.Budget1_SumOdrVal])
+                                + CommonMotions.cnvLong(DetialObj[DetailCnt + (int)DetailReadOrder.Budget2_SumOdrVal])
+                                + CommonMotions.cnvLong(DetialObj[DetailCnt + (int)DetailReadOrder.Budget3_SumOdrVal])
+                                + CommonMotions.cnvLong(DetialObj[DetailCnt + (int)DetailReadOrder.Budget4_SumOdrVal]);
+                    EstVal.Add(wrkEstVal);
+                    // 実行金額
+                    long wrkExecVal = CommonMotions.cnvLong(DetialObj[DetailCnt + (int)DetailReadOrder.Budget1_SumExecVal])
+                                + CommonMotions.cnvLong(DetialObj[DetailCnt + (int)DetailReadOrder.Budget2_SumExecVal])
+                                + CommonMotions.cnvLong(DetialObj[DetailCnt + (int)DetailReadOrder.Budget3_SumExecVal])
+                                + CommonMotions.cnvLong(DetialObj[DetailCnt + (int)DetailReadOrder.Budget4_SumExecVal]);
+                    ExecVal.Add(wrkExecVal);
+                    // 発注金額
+                    long wrkExpenses = CommonMotions.cnvLong(DetialObj[DetailCnt + (int)DetailReadOrder.Budget1_SumExecVal]);
+                    long wrkPayVal = CommonMotions.cnvLong(DetialObj[DetailCnt + (int)DetailReadOrder.Budget4_SumExecVal]);
+                    PurVal.Add((GetPurchaseValue(CurCode) + wrkExpenses + wrkPayVal));
+
+                    // 予算書金額
+                    DispVal[0] = OrderVal.Sum() - EstVal.Sum();
+                    // 実行金額
+                    DispVal[1] = OrderVal.Sum() - ExecVal.Sum();
+                    // 発注金額
+                    DispVal[2] = OrderVal.Sum() - PurVal.Sum();
+
+                    // データセット
+                    object[] RowData = new object[dgv.Columns.Count];
+                    RowData[(int)GridColumn.FixFlg] = "*";
+                    RowData[(int)GridColumn.GroupCount] = (int)DataGroup.NetIncome;
+                    if (nRowCnt < 1) RowData[(int)GridColumn.ItemName] = s_GroupTitle[(int)DataGroup.NetIncome];
+                    RowData[(int)GridColumn.EstimatePrice] = DispVal[0].ToString("#,0");
+                    RowData[(int)GridColumn.ExecPrice] = DispVal[1].ToString("#,0");
+                    RowData[(int)GridColumn.Percent] = CalculattionPercent((double)DispVal[1]).ToString("0.00");
+                    RowData[(int)GridColumn.OrderPrice] = DispVal[2].ToString("#,0");
+                    RowData[(int)GridColumn.IndependentFlg] = "1";
+                    RowData[(int)GridColumn.SourceCode] = CurCode;
+                    // 増減フラグ
+                    if (SaveLineCnt > 0) { RowData[(int)GridColumn.FluctuationFlg] = (int)ConstructionLedgerDetail.FlucFlgDef.Fluctuates; }
+
+                    // 行セット
+                    CreateDataRow(RowData);
+                    // 行位置取得
+                    int CurRow = dgv.RowCount - 1;
+                    if (SaveLineCnt < 0) SaveLineCnt = CurRow;
+
+                    // 色を付ける
+                    dgv.Rows[CurRow].Cells[(int)GridColumn.No].Style.BackColor = CommonDefine.DefineColorList[nRowCnt];
+
+                    nRowCnt++;
+                }
+                // 行位置セット
+                m_CostsRowCount[(int)CostsRowLine.NetIncomeRowLine] = SaveLineCnt;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 予算超過金額セット
         /// <summary>
         /// 予算超過金額セット
@@ -3180,15 +3358,38 @@
                 strcmd.Append(", ifnull(Odr.OrdersLinePrice, 0) As OrderPrice");
                 strcmd.Append(", ifnull(Odr2.StatutoryWelfareRate, 0.0)");
 
+                strcmd.Append(", CASE WHEN BudgetHead.OrdersDecisionPrice > 0 THEN BudgetHead.OrdersDecisionPrice");
+                strcmd.Append("  ELSE BASE.OrdersDecisionPrice END");
+                strcmd.Append(", Budget1.SumOdrVal");
+                strcmd.Append(", Budget1.SumExecVal");
+                strcmd.Append(", Budget2.SumOdrVal");
+                strcmd.Append(", Budget2.SumExecVal");
+                strcmd.Append(", Budget3.SumOdrVal");
+                strcmd.Append(", Budget3.SumExecVal");
+                strcmd.Append(", Budget4.SumOdrVal");
+                strcmd.Append(", Budget4.SumExecVal");
+
                 strcmd.Append(" FROM CONSTRUCTIONLEDGERDETAIL AS A");
+
+                strcmd.Append("   INNER JOIN CONSTRUCTIONBASEINFO AS BASE");
+                strcmd.Append("         ON BASE.CONSTRUCTIONCODE = A.SourceCode");
+
                 strcmd.Append("   LEFT JOIN CONSTRUCTIONLEDGEREXCUTE AS B");
                 strcmd.Append("         ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
                 strcmd.Append("         AND B.GROUPCOUNT = A.GROUPCOUNT");
                 strcmd.Append("         AND B.LINECOUNT = A.LINECOUNT");
 
+                //strcmd.Append("      LEFT JOIN(Select OdrA.ConstructionCode, OdrA.SourceDetailCnt, SUM(OdrA.OrdersLinePrice) As OrdersLinePrice");
+                //strcmd.Append("                From PurchaseOrderDetail As OdrA");
+                //strcmd.AppendFormat("          Where OdrA.GroupCount in ({0}, {1})", (int)PurchaseOrderDetail.GroupCountDef.Detail
+                //                                                                    , (int)PurchaseOrderDetail.GroupCountDef.StatutoryWelfare);
+                //strcmd.AppendFormat("          Group By OdrA.ConstructionCode, OdrA.SourceDetailCnt) As Odr");
+                //strcmd.AppendFormat("    ON Odr.ConstructionCode = A.SourceCode");
+                //strcmd.AppendFormat("    And Odr.SourceDetailCnt = A.DetailCount");
+
                 strcmd.Append("   LEFT JOIN PurchaseOrderDetail As Odr");
-                strcmd.Append("         ON Odr.ConstructionCode = A.ConstructionCode");
-                strcmd.Append("         And Odr.SourceCode = A.SourceCode");
+                strcmd.Append("         ON Odr.ConstructionCode = A.SourceCode");
+                strcmd.Append("         And Odr.SourceCode = A.ConstructionCode");
                 strcmd.Append("         And Odr.SourceDetailCnt = A.DetailCount");
 
                 strcmd.Append("   LEFT JOIN PurchaseOrderDetail As Odr2");
@@ -3196,6 +3397,55 @@
                 strcmd.Append("         And Odr2.SeqNo = Odr.SeqNo");
                 strcmd.AppendFormat("   And Odr2.GroupCount = {0}", (int)PurchaseOrderDetail.GroupCountDef.StatutoryWelfare);
 
+                strcmd.Append("   LEFT JOIN constructionbudget As BudgetHead");
+                strcmd.Append("         ON BudgetHead.ConstructionCode = A.SourceCode");
+
+                // 経費取得
+                strcmd.Append("   LEFT JOIN(Select Bdd.ConstructionCode, EstSum.PriceValue As SumOdrVal, SUM(Bdd.ExecutionAmount) As SumExecVal");
+                strcmd.Append("             From ConstructionBudgetdetail As Bdd");
+                strcmd.Append("                  Left Join(Select EstSumA.ConstructionCode, SUM(EstSumA.PriceValue) AS PriceValue From estimatedata As EstSumA");
+                strcmd.AppendFormat("                      Where EstSumA.ConstructionCode = {0}", m_ConstructionCode);
+                strcmd.AppendFormat("                      And EstSumA.ComponentCode in ({0}, {1})) As EstSum"
+                                                                                                    , m_CommonCosts.NormalManagementPublic
+                                                                                                    , m_CommonCosts.NormalManagementPrivate);
+                strcmd.Append("                       On EstSum.ConstructionCode = Bdd.ConstructionCode");
+                strcmd.AppendFormat("       WHERE Bdd.GroupCount = {0}", (int)FrmConstructionBudget.DataGroup.Expenses);
+                strcmd.Append("             Group By Bdd.ConstructionCode) As Budget1 ON Budget1.ConstructionCode = A.SourceCode");
+
+                // 施工費取得
+                strcmd.Append("   LEFT JOIN(Select Bdd.ConstructionCode, SUM(Bdd.NegotiationPrice) As SumOdrVal, SUM(Bdd.ExecutionAmount) As SumExecVal");
+                strcmd.Append("             From ConstructionBudgetdetail As Bdd");
+                strcmd.AppendFormat("       WHERE Bdd.GroupCount In ({0}, {1}, {2})", (int)FrmConstructionBudget.DataGroup.CommonTempCosts
+                                                                                    , (int)FrmConstructionBudget.DataGroup.OutSourceCosts
+                                                                                    , (int)FrmConstructionBudget.DataGroup.MyConstruction);
+                strcmd.Append("             Group By Bdd.ConstructionCode) As Budget2 ON Budget2.ConstructionCode = A.SourceCode");
+
+                // 諸経費取得
+                strcmd.Append("   LEFT JOIN(Select Bdd.ConstructionCode, SUM(Bdd.NegotiationPrice) As SumOdrVal, SUM(Bdd.ExecutionAmount) As SumExecVal");
+                strcmd.Append("             From ConstructionBudgetdetail As Bdd");
+                strcmd.AppendFormat("       Where Bdd.GroupCount In ({0}, {1}, {2}, {3}, {4}, {5})"
+                                                                                    , (int)FrmConstructionBudget.DataGroup.PurchaseCosts
+                                                                                    , (int)FrmConstructionBudget.DataGroup.VehicleLeaseFee
+                                                                                    , (int)FrmConstructionBudget.DataGroup.TransportationCosts
+                                                                                    , (int)FrmConstructionBudget.DataGroup.ParkingCosts
+                                                                                    , (int)FrmConstructionBudget.DataGroup.RoomChargeCosts
+                                                                                    , (int)FrmConstructionBudget.DataGroup.DisposeCosts);
+                strcmd.Append("             Group By Bdd.ConstructionCode) As Budget3 ON Budget3.ConstructionCode = A.SourceCode");
+
+                // 人件費取得
+                strcmd.Append("   LEFT JOIN(Select Bdd.ConstructionCode, EstSum.PriceValue As SumOdrVal, SUM(Bdd.ExecutionAmount) As SumExecVal");
+                strcmd.Append("             From ConstructionBudgetdetail As Bdd");
+                strcmd.Append("                  Left Join(Select EstSumA.ConstructionCode, SUM(EstSumA.PriceValue) AS PriceValue From estimatedata As EstSumA");
+                strcmd.AppendFormat("                      Where EstSumA.ConstructionCode = {0}", m_ConstructionCode);
+                strcmd.AppendFormat("                      And EstSumA.ComponentCode in ({0}, {1})) As EstSum", m_CommonCosts.FieldManagementPublic
+                                                                                                    , m_CommonCosts.FieldManagementPrivate);
+                strcmd.Append("                       On EstSum.ConstructionCode = Bdd.ConstructionCode");
+                strcmd.AppendFormat("       Where Bdd.GroupCount In ({0}, {1}, {2})"
+                                                                                    , (int)FrmConstructionBudget.DataGroup.InstructorCosts
+                                                                                    , (int)FrmConstructionBudget.DataGroup.AssistantCosts
+                                                                                    , (int)FrmConstructionBudget.DataGroup.PayrollExpenses);
+                strcmd.Append("             Group By Bdd.ConstructionCode) As Budget4 ON Budget4.ConstructionCode = A.SourceCode");
+
                 strcmd.AppendFormat(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
                 strcmd.Append(" ORDER BY A.GROUPCOUNT ASC, A.LINECOUNT ASC, A.DETAILCOUNT ASC, B.COLUMNCOUNT ASC");
 
@@ -3208,6 +3458,67 @@
 
         #endregion
 
+        #region 表示データ読込順
+        /// <summary>
+        /// 表示データ読込順
+        /// </summary>
+        private enum DetailReadOrder
+        {
+            /// <summary>
+            /// +0:支払年月
+            /// </summary>
+            TargetMonth,
+            /// <summary>
+            /// +1:支払金額
+            /// </summary>
+            PaymentAmount,
+            /// <summary>
+            /// +2:注文書発注金額
+            /// </summary>
+            OrdersLinePrice,
+            /// <summary>
+            /// +3:法定福利費率
+            /// </summary>
+            StatutoryWelfareRate,
+            /// <summary>
+            /// +4:受注金額
+            /// </summary>
+            OrdersPrice,
+            /// <summary>
+            /// +5:工事予算書：経費（予算）
+            /// </summary>
+            Budget1_SumOdrVal,
+            /// <summary>
+            /// +6:工事予算書：経費（実行）
+            /// </summary>
+            Budget1_SumExecVal,
+            /// <summary>
+            /// +7:工事予算書：施工費（予算）
+            /// </summary>
+            Budget2_SumOdrVal,
+            /// <summary>
+            /// +8:工事予算書：施工費（実行）
+            /// </summary>
+            Budget2_SumExecVal,
+            /// <summary>
+            /// +9:工事予算書：諸経費（予算）
+            /// </summary>
+            Budget3_SumOdrVal,
+            /// <summary>
+            /// +10:工事予算書：諸経費（実行）
+            /// </summary>
+            Budget3_SumExecVal,
+            /// <summary>
+            /// +11:工事予算書人件費（予算）
+            /// </summary>
+            Budget4_SumOdrVal,
+            /// <summary>
+            /// +12:工事予算書人件費（実行）
+            /// </summary>
+            Budget4_SumExecVal,
+        }
+        #endregion
+
         #region 工事詳細台帳よりデータを取得する
         /// <summary>
         /// 工事詳細台帳よりデータを取得する
@@ -3233,6 +3544,16 @@
                 if (!DetailDB.ExecuteReader(strSQL.ToString(), ref DetailList)) return false;
                 if (DetailList.Count == 0) return false;
 
+                // 増減工事番号リストを取得する
+                m_SourceCodeList.Clear();
+                foreach (object[] CurObj in DetailList)
+                {
+                    int wrkCode = CommonMotions.cnvInt(CurObj[(int)IOConstructionLedgerDetail.TableColumn.SourceCode]);
+                    if (wrkCode == 0) continue;
+                    if (m_SourceCodeList.IndexOf(wrkCode) < 0) m_SourceCodeList.Add(wrkCode);
+                }
+                m_SourceCodeList.Sort();
+
                 // 工事予算書の承認を確認する
                 string strApp = ProAppDB.CreatePrimarykeyString(m_ConstructionCode,
                                                                 (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval,
@@ -3331,10 +3652,17 @@
                         RowData[(int)GridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,#");
                         RowData[(int)GridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
                         RowData[(int)GridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
-                        
-                        // ----- 施工費のみ支払い上限を表示する
-                        float fSwRate = CommonMotions.cnvFloat(objCurRec[DetailCnt + 3]);       // 発注金額を取得する
-                        int swValue = CommonMotions.cnvInt(objCurRec[DetailCnt + 2]);           // 発注時法定福利費率を取得する
+
+                        // ----- 発注金額の表示
+                        //int swValue = CommonMotions.cnvInt(objCurRec[DetailCnt + (int)DetailReadOrder.OrdersLinePrice]);            // 発注金額を取得する
+                        //if (DetailRec.GroupCount == (int)DataGroup.ConstructionCosts && swValue > 0)
+                        //{
+                        //    RowData[(int)GridColumn.OrderPrice] = swValue.ToString("#,#");
+                        //}
+                        //float fSwRate = CommonMotions.cnvFloat(objCurRec[DetailCnt + 3]);                                         // 発注金額を取得する
+                        //int swValue = CommonMotions.cnvInt(objCurRec[DetailCnt + 2]);                                             // 発注時法定福利費率を取得する
+                        float fSwRate = CommonMotions.cnvFloat(objCurRec[DetailCnt + (int)DetailReadOrder.StatutoryWelfareRate]);   // 発注時法定福利費率を取得する
+                        int swValue = CommonMotions.cnvInt(objCurRec[DetailCnt + (int)DetailReadOrder.OrdersLinePrice]);            // 発注金額を取得する
                         if (DetailRec.GroupCount == (int)FrmConstructionLedger.DataGroup.ConstructionCosts
                             && swValue > 0)
                         {
@@ -3494,7 +3822,8 @@
                     if (DetailRec.FluctuationFlg != 0)
                     {
                         DataGridViewRow ColorRow = dgv.Rows[dgv.RowCount - 1];
-                        ColorRow.Cells[(int)GridColumn.No].Style.BackColor = Color.Red;
+                        int nIndex = m_SourceCodeList.IndexOf(DetailRec.SourceCode);
+                        ColorRow.Cells[(int)GridColumn.No].Style.BackColor = CommonDefine.DefineColorList[nIndex];
                     }
                 }
 
@@ -3502,7 +3831,7 @@
                 AddEmptyRow();
 
                 // 純利益作成
-                CreateNetIncome();
+                CreateNetIncome2(DetailList);
 
                 // 合計金額
                 CreateAllTotal(true);
@@ -6021,7 +6350,7 @@
                 CalculateBillingAmount();
 
                 // 純利益計算
-                CalculateNetIncome();
+                //CalculateNetIncome();
 
                 // 合計計算
                 CreateAllTotal(false);
@@ -6159,7 +6488,7 @@
                 if (!SetAddData_WorkingValue()) return false;
 
                 // 純利益行計算
-                CalculateNetIncome();
+                //CalculateNetIncome();
 
                 // 合計金額
                 CreateAllTotal(false);
@@ -6983,7 +7312,7 @@
 
 
                 // 純利益行計算
-                CalculateNetIncome();
+                //CalculateNetIncome();
 
                 // 合計金額
                 CreateAllTotal(false);
@@ -9395,6 +9724,67 @@
             }
         }
         #endregion
+
+        #region 注文書明細更新処理
+        /// <summary>
+        /// 注文書明細更新処理
+        /// </summary>
+        private void PurchaseLineUpdate()
+        {
+            IOPurchaseOrderDetail upDB = new IOPurchaseOrderDetail();
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(" Where GroupCount = 9");
+                List<PurchaseOrderDetail> GetList = new List<PurchaseOrderDetail>();
+                upDB.SelectAction(strSQL.ToString(), ref GetList);
+                upDB.connect(); upDB.beginTran();
+
+                PurchaseOrderDetail GetRec = new PurchaseOrderDetail();
+                foreach (PurchaseOrderDetail CurRec in GetList)
+                {
+                    strSQL.Clear();
+                    strSQL.Append(upDB.CreatePrimarykeyString(CurRec.ConstructionCode
+                                                                , CurRec.SeqNo
+                                                                , 0));
+                    if (!upDB.SelectAction(strSQL.ToString(), ref GetRec, false)) continue;
+
+                    strSQL.Clear();
+                    strSQL.Append(upDB.CreatePrimarykeyString(CurRec.ConstructionCode
+                                                                , CurRec.SeqNo
+                                                                , CurRec.GroupCount
+                                                                , CurRec.LineCount));
+                    if(!upDB.UpdateFeild(strSQL.ToString()
+                                            , (int)IOPurchaseOrderDetail.TableColumn.SourceCode
+                                            , GetRec.SourceCode
+                                            , false))
+                    {
+                        upDB.rollback();
+                        break;
+                    }
+                    if(!upDB.UpdateFeild(strSQL.ToString()
+                                            , (int)IOPurchaseOrderDetail.TableColumn.SourceDetailCnt
+                                            , GetRec.SourceDetailCnt
+                                            , false))
+                    {
+                        upDB.rollback();
+                        break;
+                    }
+                }
+                upDB.commit();
+                MessageBox.Show("終了");
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                upDB.close(); upDB = null;
+            }
+        }
+        #endregion
+
         // ---------- ※．データコンバートロジック↑↑
         #endregion
     }
